Gestiono
Referencia de APITasks / Schedule

Create Schedule link

← Back to full API reference
POST/v1/tasks/schedule/linkAuth required
  • Validated by Zod schema: postTaskScheduleLink.

Request details

Body fields

FieldRequiredDescription
titleYesType: string
descriptionYesType: string
durationNoType: numberExample: 15
spaceBetweenSchedulesNoType: numberExample: 0
boardIdYesType: number
availableTimeYesType: unknown
timezoneYesType: string
formYesType: object
form.formSchemaNoType: arrayExample:
form.formSchema[]YesType: object
form.formSchema[].labelYesType: string
form.formSchema[].typeYesType: enumExample: text
form.formSchema[].spanNoType: number
form.formSchema[].optionsNoType: arrayExample:
form.formSchema[].options[]YesType: string
form.formSchema[].uniqueNoType: boolean
form.formSchema[].contentNoType: string
form.uiSchemaNoType: unknown
form.columnsNoType: number
brandNoType: enumExample: gestiono

Default payloads

Path params

json
{}

Query

json
{}

Body

json
{
  "title": "string",
  "description": "string",
  "boardId": 1,
  "availableTime": "value",
  "timezone": "string",
  "form": {
    "formSchema": [
      {
        "label": "string",
        "type": "text"
      }
    ],
    "uiSchema": "value",
    "columns": 1
  }
}

Sample response

json
{
  "success": true,
  "message": "Sample response placeholder for POST /v1/tasks/schedule/link"
}